GeoidEval.cpp File Reference

Command line utility for evaluating geoid heights. More...

`#include <iostream>`
`#include <string>`
`#include <sstream>`
`#include <fstream>`
`#include <GeographicLib/Geoid.hpp>`
`#include <GeographicLib/DMS.hpp>`
`#include <GeographicLib/Utility.hpp>`
`#include <GeographicLib/GeoCoords.hpp>`
`#include "GeoidEval.usage"`

Go to the source code of this file.

## Functions

int | main (int argc, const char *const argv[])

## Detailed Description

Command line utility for evaluating geoid heights.

Copyright (c) Charles Karney (2009-2017) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

See the man page for usage information.

Definition in file GeoidEval.cpp.

## Function Documentation

## main()

int main | ( | int | argc,
|  | const char *const | argv[]
| ) |  |

Definition at line 29 of file GeoidEval.cpp.

References GeographicLib::Geoid::Cache(), GeographicLib::Geoid::CacheAll(), GeographicLib::Geoid::CacheArea(), GeographicLib::Geoid::CacheEast(), GeographicLib::Geoid::CacheNorth(), GeographicLib::Geoid::CacheSouth(), GeographicLib::Geoid::CacheWest(), GeographicLib::Geoid::DateTime(), GeographicLib::Geoid::Description(), GeographicLib::Geoid::GeoidFile(), GeographicLib::Geoid::Interpolation(), GeographicLib::GeoCoords::Latitude(), GeographicLib::GeoCoords::Longitude(), GeographicLib::Geoid::MaxError(), GeographicLib::Geoid::Offset(), GeographicLib::GeoCoords::Reset(), GeographicLib::Geoid::RMSError(), and GeographicLib::Geoid::Scale().